(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('ngx-bootstrap/tooltip'), require('@angular/common')) :
    typeof define === 'function' && define.amd ? define('ellipsis-tooltip', ['exports', '@angular/core', 'ngx-bootstrap/tooltip', '@angular/common'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['ellipsis-tooltip'] = {}, global.ng.core, global['ngx-bootstrap/tooltip'], global.ng.common));
}(this, (function (exports, core, tooltip, common) { 'use strict';

    var TootltipComponent = /** @class */ (function () {
        function TootltipComponent(cdRef) {
            this.cdRef = cdRef;
            this.showtooltip = false;
            this.toolTipText = '';
            this.alignCenter = false;
            this.hoverStyle = false;
            this.extraStyle = false;
            this.adaptivePorition = true;
        }
        TootltipComponent.prototype.ngOnInit = function () { };
        TootltipComponent.prototype.ngAfterViewChecked = function () {
            this.toolTipText = this.item ? this.item.nativeElement.outerText : '';
            // console.log('tooltipText',this.toolTipText);
            this.checkEllipsis();
            this.cdRef.detectChanges();
        };
        TootltipComponent.prototype.checkEllipsis = function () {
            if (this.item) {
                if (this.item.nativeElement.offsetWidth < this.item.nativeElement.scrollWidth) {
                    this.showtooltip = true;
                }
                else {
                    this.showtooltip = false;
                }
            }
        };
        return TootltipComponent;
    }());
    TootltipComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'lib-tootltip',
                    template: "<div [ngClass]=\"[alignCenter === true ? 'align-center' : 'tooltip-container', showtooltip ? 'cursor-pointer' : '']\"\n  [tooltip]=\"toolTipText\" [isDisabled]=\"!showtooltip\" container=\"body\" [adaptivePosition]=\"adaptivePorition\"\n  triggers=\"mouseenter mouseleave\">\n  <div class=\"ellipsis-text\" [ngClass]=\"hoverStyle?'ellipsis-text-hover':''\"\n    [ngStyle]=\"{'text-decoration': extraStyle ? 'underline' : 'none' }\" #item>\n    <ng-content></ng-content>\n  </div>\n</div>\n",
                    styles: [".tooltip-container{float:left;max-width:100%}.ellipsis-text ::content{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.cursor-pointer{cursor:pointer}.align-center{float:none;max-width:100%}.ellipsis-text-hover:hover{text-decoration:underline}"]
                },] }
    ];
    TootltipComponent.ctorParameters = function () { return [
        { type: core.ChangeDetectorRef }
    ]; };
    TootltipComponent.propDecorators = {
        item: [{ type: core.ViewChild, args: ['item', { read: core.ElementRef, static: true },] }],
        alignCenter: [{ type: core.Input }],
        hoverStyle: [{ type: core.Input }],
        extraStyle: [{ type: core.Input }],
        adaptivePorition: [{ type: core.Input }],
        checkEllipsis: [{ type: core.HostListener, args: ['window:resize', ['$event'],] }]
    };

    var customTootltipModule = tooltip.TooltipModule.forRoot();
    var EllipsisTooltipModule = /** @class */ (function () {
        function EllipsisTooltipModule() {
        }
        return EllipsisTooltipModule;
    }());
    EllipsisTooltipModule.decorators = [
        { type: core.NgModule, args: [{
                    declarations: [TootltipComponent],
                    imports: [
                        customTootltipModule,
                        common.CommonModule
                    ],
                    exports: [TootltipComponent]
                },] }
    ];

    /*
     * Public API Surface of ellipsis-tooltip
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.EllipsisTooltipModule = EllipsisTooltipModule;
    exports.TootltipComponent = TootltipComponent;
    exports.customTootltipModule = customTootltipModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ellipsis-tooltip.umd.js.map
