import { Component, ChangeDetectorRef, ViewChild, ElementRef, Input, HostListener, NgModule } from '@angular/core';
import { TooltipModule } from 'ngx-bootstrap/tooltip';
import { CommonModule } from '@angular/common';

class TootltipComponent {
    constructor(cdRef) {
        this.cdRef = cdRef;
        this.showtooltip = false;
        this.toolTipText = '';
        this.alignCenter = false;
        this.hoverStyle = false;
        this.extraStyle = false;
        this.adaptivePorition = true;
    }
    ngOnInit() { }
    ngAfterViewChecked() {
        this.toolTipText = this.item ? this.item.nativeElement.outerText : '';
        // console.log('tooltipText',this.toolTipText);
        this.checkEllipsis();
        this.cdRef.detectChanges();
    }
    checkEllipsis() {
        if (this.item) {
            if (this.item.nativeElement.offsetWidth < this.item.nativeElement.scrollWidth) {
                this.showtooltip = true;
            }
            else {
                this.showtooltip = false;
            }
        }
    }
}
TootltipComponent.decorators = [
    { type: Component, args: [{
                selector: 'lib-tootltip',
                template: "<div [ngClass]=\"[alignCenter === true ? 'align-center' : 'tooltip-container', showtooltip ? 'cursor-pointer' : '']\"\n  [tooltip]=\"toolTipText\" [isDisabled]=\"!showtooltip\" container=\"body\" [adaptivePosition]=\"adaptivePorition\"\n  triggers=\"mouseenter mouseleave\">\n  <div class=\"ellipsis-text\" [ngClass]=\"hoverStyle?'ellipsis-text-hover':''\"\n    [ngStyle]=\"{'text-decoration': extraStyle ? 'underline' : 'none' }\" #item>\n    <ng-content></ng-content>\n  </div>\n</div>\n",
                styles: [".tooltip-container{float:left;max-width:100%}.ellipsis-text ::content{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.cursor-pointer{cursor:pointer}.align-center{float:none;max-width:100%}.ellipsis-text-hover:hover{text-decoration:underline}"]
            },] }
];
TootltipComponent.ctorParameters = () => [
    { type: ChangeDetectorRef }
];
TootltipComponent.propDecorators = {
    item: [{ type: ViewChild, args: ['item', { read: ElementRef, static: true },] }],
    alignCenter: [{ type: Input }],
    hoverStyle: [{ type: Input }],
    extraStyle: [{ type: Input }],
    adaptivePorition: [{ type: Input }],
    checkEllipsis: [{ type: HostListener, args: ['window:resize', ['$event'],] }]
};

const customTootltipModule = TooltipModule.forRoot();
class EllipsisTooltipModule {
}
EllipsisTooltipModule.decorators = [
    { type: NgModule, args: [{
                declarations: [TootltipComponent],
                imports: [
                    customTootltipModule,
                    CommonModule
                ],
                exports: [TootltipComponent]
            },] }
];

/*
 * Public API Surface of ellipsis-tooltip
 */

/**
 * Generated bundle index. Do not edit.
 */

export { EllipsisTooltipModule, TootltipComponent, customTootltipModule };
//# sourceMappingURL=ellipsis-tooltip.js.map
